gd_fragmentname(3)

NAME
gd_fragmentname — retrieve a dirfile format specification fragment name

SYNOPSIS
#include <getdata.h>

const char* gd_fragmentname(const DIRFILE *dirfile, int index);

DESCRIPTION
The gd_fragmentname() function queries a dirfile(5) database specified by dirfile and returns the filename of the format specification fragment indexed by the non-negative index.

The dirfile argument must point to a valid DIRFILE object previously created by a call to gd_open(3).

The fragment with index equal to zero is always the primary fragment for the database (the file called format in the root dirfile directory). The largest valid value of index is one less than the total number of fragments, which may be obtained from a call to gd_nfragments(3).

RETURN VALUE
Upon successful completion, gd_fragmentname() returns a pointer to a read-only character string containing the file name of the specified fragment. On error, gd_fragmentname() returns NULL and sets the dirfile error a non-zero error value. Possible error values are:

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

GD_E_BAD_INDEX
    The supplied index was out of range.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
dirfile(5), gd_error(3), gd_error_string(3), gd_include(3), gd_nfragments(3), gd_open(3), gd_parent_fragment(3)